import 'package:example/app/app.dart';
import 'package:flutter/material.dart';
import 'package:healthrian_visualization_support/'
    'healthrian_visualization_support.dart';

class WearEcgPage extends StatelessWidget {
  const WearEcgPage({super.key});

  @override
  Widget build(BuildContext context) {
    return SafeArea(
      child: Scaffold(
        /// Body
        body: ListView(
          children: const [
            Row(
              children: [
                /// connection
                ConnectionStateWearEcg(),

                /// Heart beat
                EcgHeartbeatWearEcg(),
              ],
            ),

            /// Ecg holter view
            EcgWearECG(),
          ],
        ),

        /// Control panel
        floatingActionButton: const ControlPanelWearEcg(),

        /// Navigation
        bottomNavigationBar: const Navigation(),
      ),
    );
  }
}
